# Glib::Value< char > Class Template Reference
[Generic Values]

Inherits Glib::ValueBase.

Collaboration diagram for Glib::Value< char >:
[legend]

List of all members.

## Public Types

typedef char | CppType
typedef gchar | CType

## Public Member Functions

void | set (char data)
char | get () const

## Static Public Member Functions

static GType | value_type ()

### template <>
class Glib::Value< char >

## Member Typedef Documentation

typedef char Glib::Value< char >::CppType

typedef gchar Glib::Value< char >::CType

## Member Function Documentation

char Glib::Value< char >::get | ( |  | ) | const

void Glib::Value< char >::set | ( | char | data | ) |

static GType Glib::Value< char >::value_type | ( |  | ) | `[static]`

The documentation for this class was generated from the following file:

- glibmm/value_basictypes.h